

#include "BUILTIN.h"

#include "EQUALITY.h"
extern OBJ _AEQUALITY_Aequal(OBJ,OBJ);OBJ __AEQUALITY_Aequal; /* equal */
extern OBJ _AEQUALITY_AwEqual(OBJ,OBJ);OBJ __AEQUALITY_AwEqual; /* wEqual */

#include "EQUALITY.hc.c"

static OBJ _mt_2_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ))ENTRY(t))(t1,t2);
 return r;}

init_AEQUALITY()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(2,_AEQUALITY_3,__AEQUALITY_3);
 CLS(2,_AEQUALITY_2,__AEQUALITY_2);
 MTH(2,0,2,_mt_2_0_2);LZYMTH(2,0,2,_mt_2_0_2);
 init_const_AEQUALITY();}

